org.aspectj.runtime.internal

## Class Conversions

- java.lang.Object
- - org.aspectj.runtime.internal.Conversions

    public final class Conversions
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static Object` `booleanObject(boolean i)`
`static boolean` `booleanValue(Object o)`
`static Object` `byteObject(byte i)`
`static byte` `byteValue(Object o)`
`static Object` `charObject(char i)`
`static char` `charValue(Object o)`
`static Object` `doubleObject(double i)`
`static double` `doubleValue(Object o)`
`static Object` `floatObject(float i)`
`static float` `floatValue(Object o)`
`static Object` `intObject(int i)`
`static int` `intValue(Object o)`
`static Object` `longObject(long i)`
`static long` `longValue(Object o)`
`static Object` `shortObject(short i)`
`static short` `shortValue(Object o)`
`static Object` `voidObject()`
`static Object` `voidValue(Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### intObject

    public static Object intObject(int i)

#### shortObject

    public static Object shortObject(short i)

#### byteObject

    public static Object byteObject(byte i)

#### charObject

    public static Object charObject(char i)

#### longObject

    public static Object longObject(long i)

#### floatObject

    public static Object floatObject(float i)

#### doubleObject

    public static Object doubleObject(double i)

#### booleanObject

    public static Object booleanObject(boolean i)

#### voidObject

    public static Object voidObject()

#### intValue

    public static int intValue(Object o)

#### longValue

    public static long longValue(Object o)

#### floatValue

    public static float floatValue(Object o)

#### doubleValue

    public static double doubleValue(Object o)

#### byteValue

    public static byte byteValue(Object o)

#### shortValue

    public static short shortValue(Object o)

#### charValue

    public static char charValue(Object o)

#### booleanValue

    public static boolean booleanValue(Object o)

#### voidValue

    public static Object voidValue(Object o)